Commands.SetLifecycle
Keywords: net.corda.finance.contracts.asset.Obligation.Commands.SetLifecycle class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class Commands.SetLifecycle

- net.corda.finance.contracts.asset.Obligation.Commands.SetLifecycle

- All Implemented Interfaces:
    CommandData
  Enclosing interface:
    Obligation.Commands

      public static class Commands.SetLifecycle
      implements CommandData

  A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

- - ### Constructor Detail

    - #### SetLifecycle

          public SetLifecycle(@NotNull
                              net.corda.finance.contracts.asset.Obligation.Lifecycle lifecycle)

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

  - ### Method Detail

    - #### getInverse

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Lifecycle getInverse()

    - #### getLifecycle

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Lifecycle getLifecycle()

    - #### component1

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Lifecycle component1()

    - #### copy

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Commands.SetLifecycle copy(@NotNull
                                                                                                  net.corda.finance.contracts.asset.Obligation.Lifecycle lifecycle)

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

    - #### toString

          @NotNull
          public java.lang.String toString()

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

    - #### hashCode

          public int hashCode()

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.